Subject: Re: [hackathon] [Lurk] [E] Re: lurk@Hackathon102

From: Daniel Migault <[email-masked]>
Date: Wed, 13 Jun 2018 20:31:48 -0400

Thank you Sanjay for updating the wiki to describe lurk @ hackathon. I
believe it catches the discussion we had.
Yours,
Daniel

On Wed, Jun 13, 2018 at 8:19 PM, <sanjay.mishra=[email-masked]
> wrote:

> I have updated the IETF102 hackathon wiki page for LURK.
>
>
>
> Please let me know if I have missed any major work item you would like to
> be added.
>
>
>
> https://trac.ietf.org/trac/ietf/meeting/wiki/102hackathon
>
>
>
> Thanks
>
> -Sanjay
>
>
>
>
>
> *From:* Ori Finkelman [mailto:[email-masked]]
> *Sent:* Thursday, June 07, 2018 5:15 AM
> *To:* Daniel Migault <[email-masked]>
> *Cc:* Mishra, Sanjay <[email-masked]>; LURK BoF <
> [email-masked]>; Dmitry Kravkov <[email-masked]>
> *Subject:* [E] Re: [Lurk] lurk@Hackathon102
>
>
>
> Hi Daniel and Sanjay,
>
>
>
> Some of the goals we may aim to achieve in the IETF102 Hackathon (some are
> already under development)
>
> + A CLurk OpenSSL implementation (ongoing work)
>
> + Nginx integration (ongoing work)
>
>    - benchmark for session establishment, CPU and latency
>
> + Possibly a second cache server reference integration. ATS and Varnish
> are good candidates
>
> + A second LURK server implementation, preferably using a more performant
> language than Python, possible Go or Java.
>
> + Management model and API for the LURK key server, Daniel proposed YANG,
> is there a re need for an I-D for that ?
>
> + HA model
>
>   - What should be the HA model ?
>
>   - Load balancer ?
>
>   - Configuring the LURK client with multiple LURK server addresses ?
>
>
>
> Thanks,
>
> Ori
>
>
>
> On Wed, May 23, 2018 at 8:28 PM, Daniel Migault <
> [email-masked]> wrote:
>
> Thanks Sanjay for raising this point.
>
>
>
> Since we now have at least a second implementation of lurk, it would be
> good to proceed to interoperability test.
>
>
>
> Other things that come to my mind are:
>
> * Editing vector tests for future implementations.
>
> * Designing some performance measurements
>
>
>
> As far as pylurk is concerned there are multiple points we could focused
> on:
>
> * lurk client - sevrer communication:
>
> ** UDP multithreading
>
> ** UDP/DTLS
>
> ** TCP
>
> ** TCP/TLS
>
> ** HTTPS
>
> * updating construct to construct 2.9
>
> * ....
>
>
>
> I am happy to take any comments / feed backs and add items as they come to
> my mind.
>
>
>
> Yours,
>
> Daniel
>
>
>
>
>
>
>
> On Tue, May 22, 2018 at 11:24 PM, <sanjay.mishra=40verizon.com@
> dmarc.ietf.org> wrote:
>
> To add to Daniel’s update, there are plans to bring an early
> implementation at the Hackathon in Montreal (IETF102). Please feel free to
> reach out to Daniel, Dmitry or me for any implementation related questions.
>
>
>
> -Sanjay
>
>
>
> *From:* Lurk [mailto:[email-masked]] *On Behalf Of *Daniel Migault
> *Sent:* Friday, May 18, 2018 11:12 AM
> *To:* LURK BoF <[email-masked]>
> *Subject:* [E] [Lurk] pylurk
>
>
>
> Hi,
>
>
>
> We are happy to let you know that we have been able to publish our
> implementation of pylurk on github [1] as well as on pypi [2].
>
>
>
> This is an early implementation of draft-mglt-lurk-lurk [3] and
> draft-mglt-lurk-tls12 [4]. We expect to update the drafts to reflects our
> findings while implementing soon.
>
>
>
> If you encounter any issue or have any question, feel free to raise you
> concern and of course any comment / feed back is appreciated!
>
>
>
> Yours,
>
> Daniel
>
>
>
> [1] https://github.com/mglt/pylurk
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__github.com_mglt_pylurk&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=uDsnQIk-WRzcF3eSc7AqZKkP8rKw6ND7l2U5KtRdwa4&s=i1ej8GdJ7wGzzOQdya7-frDePvxHdsWal_wFv8FPvrk&e=>
>
> [2] https://pypi.org/project/pylurk/
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__pypi.org_project_pylurk_&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=uDsnQIk-WRzcF3eSc7AqZKkP8rKw6ND7l2U5KtRdwa4&s=9pcQpr-0ORpWkMClnhrqfYjkdMuawxmuwbv1XPVbIOQ&e=>
>
> [3] https://datatracker.ietf.org/doc/draft-mglt-lurk-lurk/
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dmglt-2Dlurk-2Dlurk_&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=uDsnQIk-WRzcF3eSc7AqZKkP8rKw6ND7l2U5KtRdwa4&s=EDP277NhIg5iAp5pA0fge8nKosSirLFL9yhXSiCOooQ&e=>
>
> [4] https://github.com/mglt/draft-mglt-lurk-tls12/blob/master/
> draft-mglt-lurk-tls12.mkd
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__github.com_mglt_draft-2Dmglt-2Dlurk-2Dtls12_blob_master_draft-2Dmglt-2Dlurk-2Dtls12.mkd&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=uDsnQIk-WRzcF3eSc7AqZKkP8rKw6ND7l2U5KtRdwa4&s=VB1TauZ4XA0SW09Out7EdlgKP64sTiG9oP9OQHmfRfg&e=>
>
>
>
>
> _______________________________________________
> Lurk mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lurk
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_lurk&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=wKtvS1QMJNQew3ZZ5L0YGe3AiCu04WZ3IZ2NglT-uls&s=XWyLeFKXCjeMzd2OGncQY28CQ_7agLAGvk8bF2NoEto&e=>
>
>
>
>
> _______________________________________________
> Lurk mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lurk
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_lurk&d=DwMFaQ&c=udBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ&r=XniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM&m=wKtvS1QMJNQew3ZZ5L0YGe3AiCu04WZ3IZ2NglT-uls&s=XWyLeFKXCjeMzd2OGncQY28CQ_7agLAGvk8bF2NoEto&e=>
>
>
>
>
>
> --
>
>
> *Ori Finkelman *Qwilt | Work: +972-72-2221647 | Mobile: +972-52-3832189 |
> [email-masked]
>
> _______________________________________________
> Lurk mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lurk
>
>